Bug 436745 - kernel-2.6.24.3-12.fc8 problems with usb after hibernate
kernel-2.6.24.3-12.fc8 problems with usb after hibernate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-10 03:38 EDT by Federico Pedemonte
Modified: 2009-12-18 01:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:05:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of lspci -vvv (6.52 KB, text/plain)
2008-03-10 03:38 EDT, Federico Pedemonte
no flags Details

  None (edit)
Description Federico Pedemonte 2008-03-10 03:38:50 EDT
Description of problem:
Hibernating and then resuming makes usb port stop working. (tested with printer
and usb pendrive)

Version-Release number of selected component (if applicable):
kernel-2.6.24.3-12.fc8

How reproducible:
always

Steps to Reproduce:
1. Test usb hardware: it works
2. Hibernate
3. Test usb hardware: doesn't work anymore. Tried to uplug/plug devices but
nothing changes.
  
Additional info:
in attachment the output of lspci -vvv
Comment 1 Federico Pedemonte 2008-03-10 03:38:50 EDT
Created attachment 297408 [details]
output of lspci -vvv
Comment 2 Bug Zapper 2008-11-26 05:05:58 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Jan Hutař 2008-12-01 02:16:20 EST
Hello,
I see this with Lenovo ThinkPad T61 and my usb attached mouse/keyboard. Usually suspend fixes the problem, so I'm using it as an workaround to get it working.

kernel-2.6.27.5-117.fc10.x86_64
pm-utils-1.2.2.1-2.fc10.x86_64

This is only difference I see in lsmod:

--- lsmod_after_hibernate_before_suspend.txt	2008-12-01 08:00:33 +0100
+++ lsmod_after_hibernate_and_suspend.txt	2008-12-01 08:01:24 +0100
@@ -29,7 +29,7 @@
 ip6_tables             26128  1 ip6table_filter
 ipv6                  287272  24 ip6t_REJECT,nf_conntrack_ipv6
 cpufreq_ondemand       15504  1 
-acpi_cpufreq           17552  2 
+acpi_cpufreq           17552  1 
 freq_table             12928  3 cpufreq_stats,cpufreq_ondemand,acpi_cpufreq
 ext2                   72592  1 
 kvm_intel              52944  0

I have also found these bugs which could be related/duplicates:

bug 454158
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/106410

Is there something I can help with here? How can I restart USB on running system? Earlier I was used to do `modporbe -r uhci_hcd ehci_hcd ohci_hcd; modporbe uhci_hcd ehci_hcd ohci_hcd`, but now I can not see these modules in `modprobe -l` nor `lsmod`.

Thank in advance,
Jan
Comment 4 Bug Zapper 2009-11-18 02:53:09 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 01:05:04 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.